#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x35faeb92, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x1a3106d6, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x186eb056, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xd3a3ddd4, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xfb9a3131, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x53e58eed, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x3e28e69c, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xca4527d6, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xf0362879, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x78832530, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x14511c79, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x2aa3e6fd, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x662c6331, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xeee3599b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd8c1e56a, "device_property_present" },
	{ 0x7b081b77, "regcache_cache_only" },
	{ 0x66404827, "regcache_sync" },
	{ 0x6ccce2f1, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x20ab3601, "snd_soc_jack_report" },
	{ 0x48fc1ca8, "rt_mutex_base_init" },
	{ 0x9967eb54, "gpiod_set_value_cansleep" },
	{ 0xda75bba4, "snd_pcm_hw_constraint_minmax" },
	{ 0xa7723cd2, "regcache_sync_region" },
	{ 0x735d7732, "snd_soc_put_enum_double" },
	{ 0xc5381dad, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaf492867, "devm_gpiod_get_optional" },
	{ 0x43d9a4cd, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf82b9d41, "devm_snd_soc_register_component" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xb70eefc2, "device_property_read_u32_array" },
	{ 0xf7f08b3a, "snd_soc_get_enum_double" },
	{ 0xd346653e, "_dev_info" },
	{ 0x1ff33418, "snd_soc_info_volsw" },
	{ 0xbefc36ca, "regcache_drop_region" },
	{ 0x6f40fba9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x653d3e10, "mutex_lock" },
	{ 0xc2d20d42, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4e0b5096, "snd_soc_info_enum_double" },
	{ 0xeff1cacc, "snd_soc_get_volsw" },
	{ 0xf011e9bd, "regmap_read" },
	{ 0x9c57b2f0, "snd_soc_put_volsw" },
	{ 0xf8d5aa9c, "snd_soc_component_update_bits" },
	{ 0xf9121bba, "__pm_runtime_resume" },
	{ 0x13c3f065, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb20f314c, "regmap_bulk_read" },
	{ 0x629457b0, "regmap_update_bits_base" },
	{ 0xd110172, "dev_err_probe" },
	{ 0xfffed634, "regmap_multi_reg_write" },
	{ 0xc0261dc4, "__pm_runtime_suspend" },
	{ 0x84c593b6, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x967d9273, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.6");
